// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S048_RegionalLegislationAuthorities.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S048_RegionalLegislationAuthorities extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1, 1
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\0\2\6\2\0\2\6"+
    "\1\7\1\10\12\11\1\12\1\13\5\0\1\14\1\15"+
    "\1\16\1\17\1\20\1\21\1\22\1\21\1\23\1\21"+
    "\1\24\1\25\1\26\1\27\1\30\1\31\1\21\1\32"+
    "\1\33\1\34\1\35\1\36\1\37\1\21\1\40\1\21"+
    "\1\41\1\0\1\42\1\0\1\43\1\0\1\44\1\45"+
    "\1\46\1\47\1\50\1\51\1\52\1\51\1\53\1\51"+
    "\1\54\1\55\1\56\1\57\1\60\1\61\1\51\1\62"+
    "\1\63\1\64\1\65\1\66\1\67\1\51\1\70\1\51"+
    "\105\0\6\51\1\0\11\51\1\0\6\51\2\0\4\51"+
    "\3\0\6\51\1\0\11\51\1\0\6\51\2\0\4\51"+
    "\53\0\2\51\6\0\2\71\66\0\2\51\4\0\2\51"+
    "\17\0\1\72\u0188\0\2\51\216\0\2\51\42\0\2\51"+
    "\104\0\1\1\20\0\2\6\u0115\0\1\73\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\11\0\4\1\2\2\116\0\1\3\67\0\3\4\1\0"+
    "\1\4\44\0\3\5\1\0\1\5\64\0\3\6\1\0"+
    "\1\6\1\0\2\7\23\0\3\10\1\0\1\10\22\0"+
    "\3\11\1\0\1\11\2\0\1\12\20\0\3\13\1\0"+
    "\1\13\44\0\5\14\26\0\2\15\u0103\0\2\16\40\0"+
    "\2\17\3\0\2\20\4\0\2\21\15\0\2\22\1\0"+
    "\2\23\3\0\2\24\7\0\2\25\5\0\1\14\5\0"+
    "\2\26\6\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[748];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\74\0\170\0\264\0\360\0\u012c\0\u0168\0\u01a4"+
    "\0\u01e0\0\u021c\0\u0258\0\u0294\0\u02d0\0\u0294\0\u030c\0\u0348"+
    "\0\u0384\0\u03c0\0\u03fc\0\u0438\0\u0474\0\u04b0\0\u04ec\0\u0528"+
    "\0\u0564\0\u05a0\0\u05dc\0\u0618\0\u0654\0\u0690\0\u06cc\0\u0708"+
    "\0\u0744\0\u021c\0\u0780\0\u07bc\0\u07f8\0\u0834\0\u0870\0\u08ac"+
    "\0\u08e8\0\u0924\0\u0960\0\u099c\0\u09d8\0\u0a14\0\u0a50\0\u0a8c"+
    "\0\u0ac8\0\u0b04\0\u0b40\0\u0b7c\0\u0bb8\0\u0bf4\0\u0c30\0\u0294"+
    "\0\u0c6c\0\u0ca8\0\u0ce4\0\u0d20\0\u0d5c\0\u0d98\0\u0dd4\0\u0e10"+
    "\0\u0e4c\0\u0e88\0\u0ec4\0\u0f00\0\u0f3c\0\u0f78\0\u0fb4\0\u0ff0"+
    "\0\u102c\0\u1068\0\u10a4\0\u10e0\0\u111c\0\u1158\0\u1194\0\u11d0"+
    "\0\u120c\0\u1248\0\u1284\0\u12c0\0\u12fc\0\u1338\0\u1374\0\u13b0"+
    "\0\u13ec\0\u1428\0\u1464\0\u14a0\0\u14dc\0\u0294\0\u1518\0\u1554"+
    "\0\u1590\0\u15cc\0\u1608\0\u1644\0\u1680\0\u16bc\0\u16f8\0\u1734"+
    "\0\u1770\0\u17ac\0\u17e8\0\u1824\0\u1860\0\u189c\0\u18d8\0\u1914"+
    "\0\u1950\0\u198c\0\u19c8\0\u1a04\0\u1a40\0\u1a7c\0\u1ab8\0\u1af4"+
    "\0\u1b30\0\u1b6c\0\u1ba8\0\u1be4\0\u1c20\0\u1c5c\0\u1c98\0\u1cd4"+
    "\0\u1d10\0\u1d4c\0\u1d88\0\u1dc4\0\u1e00\0\u1e3c\0\u1e78\0\u1eb4"+
    "\0\u1ef0\0\u1f2c\0\u1f68\0\u1fa4\0\u1fe0\0\u201c\0\u2058\0\u2094"+
    "\0\u20d0\0\u210c\0\u2148\0\u2184\0\u21c0\0\u0294\0\u21fc\0\u2238"+
    "\0\u2274\0\u2274\0\u22b0\0\u22ec\0\u2328\0\u2364\0\u23a0\0\u23dc"+
    "\0\u2418\0\u2454\0\u2490\0\u24cc\0\u2508\0\u2544\0\u2580\0\u25bc"+
    "\0\u25f8\0\u2634\0\u2670\0\u26ac\0\u26e8\0\u2724\0\u2760\0\u279c"+
    "\0\u27d8\0\u2814\0\u2850\0\u288c\0\u28c8\0\u2904\0\u2940\0\u297c"+
    "\0\u29b8\0\u29f4\0\u2a30\0\u2a6c\0\u2aa8\0\u2ae4\0\u0294\0\u2b20"+
    "\0\u2b5c\0\u2b98\0\u2b98\0\u2bd4\0\u2c10\0\u2c4c\0\u2c88\0\u2cc4"+
    "\0\u2d00\0\u2d3c\0\u2d78\0\u2db4\0\u2df0\0\u2e2c\0\u2e68\0\u2ea4"+
    "\0\u2ee0\0\u2f1c\0\u2f58\0\u2f94\0\u2fd0\0\u300c\0\u3048\0\u3084"+
    "\0\u30c0\0\u30fc\0\u3138\0\u3174\0\u31b0\0\u31ec\0\u3228\0\u3264"+
    "\0\u32a0\0\u32dc\0\u3318\0\u3354\0\u3390\0\u33cc\0\u3408\0\u3444"+
    "\0\u3480\0\u34bc\0\u34f8\0\u3534\0\u3570\0\u35ac\0\u35e8\0\u3624"+
    "\0\u3660\0\u369c\0\u36d8\0\u3714\0\u3750\0\u378c\0\u37c8\0\u0294"+
    "\0\u3804\0\u3840\0\u387c\0\u387c\0\u38b8\0\u0294\0\u38f4\0\u3930"+
    "\0\u396c\0\u39a8\0\u39e4\0\u3a20\0\u3a5c\0\u3a98\0\u3ad4\0\u3b10"+
    "\0\u3b4c\0\u3b88\0\u3bc4\0\u3c00\0\u3c3c\0\u3c78\0\u3cb4\0\u3cf0"+
    "\0\u3d2c\0\u3d68\0\u0294\0\u3da4\0\u3de0\0\u3e1c\0\u3e1c\0\u3e58"+
    "\0\u3e94\0\u3ed0\0\u3f0c\0\u3f48\0\u3f84\0\u2238\0\u3fc0\0\u3ffc"+
    "\0\u4038\0\u4074\0\u40b0\0\u40ec\0\u4128\0\u4164\0\u41a0\0\u41dc"+
    "\0\u4218\0\u0294\0\u4254\0\u4290\0\u42cc\0\u42cc\0\u4308\0\u4344"+
    "\0\u0294\0\u4380\0\u43bc\0\u43f8\0\u4434\0\u4470\0\u44ac\0\u44e8"+
    "\0\u4524\0\u4560\0\u459c\0\u45d8\0\u4614\0\u4650\0\u468c\0\u46c8"+
    "\0\u4704\0\u0294\0\u4740\0\u477c\0\u47b8\0\u47b8\0\u47f4\0\u4830"+
    "\0\u486c\0\u48a8\0\u48e4\0\u4920\0\u495c\0\u4998\0\u49d4\0\u4a10"+
    "\0\u4a4c\0\u4a88\0\u4ac4\0\u4b00\0\u4b3c\0\u4b78\0\u4bb4\0\u4bf0"+
    "\0\u4c2c\0\u4c68\0\u4ca4\0\u4ce0\0\u4d1c\0\u4d58\0\u4d94\0\u4dd0"+
    "\0\u4e0c\0\u4e48\0\u4e84\0\u4ec0\0\u4efc\0\u4f38\0\u4f74\0\u4fb0"+
    "\0\u4fec\0\u5028\0\u0294\0\u5064\0\u50a0\0\u50dc\0\u5118\0\u5154"+
    "\0\u5190\0\u51cc\0\u5208\0\u5244\0\u5280\0\u52bc\0\u52f8\0\u5334"+
    "\0\u5370\0\u53ac\0\u3840\0\u53e8\0\u5424\0\u5460\0\u549c\0\u54d8"+
    "\0\u5514\0\u5550\0\u558c\0\u55c8\0\u5604\0\u0294\0\u5640\0\u567c"+
    "\0\u56b8\0\u3de0\0\u56f4\0\u5730\0\u576c\0\u57a8\0\u2b5c\0\u5064"+
    "\0\u50dc\0\u5118\0\u57e4\0\u5820\0\u585c\0\u5898\0\u58d4\0\u5910"+
    "\0\u594c\0\u5988\0\u59c4\0\u5a00\0\u5a3c\0\u5a78\0\u5ab4\0\u5af0"+
    "\0\u5b2c\0\u5b68\0\u5ba4\0\u5be0\0\u5c1c\0\u5c58\0\u5c94\0\u5cd0"+
    "\0\u5d0c\0\u5d48\0\u5d84\0\u5dc0\0\u5dfc\0\u5e38\0\u5e74\0\u5eb0"+
    "\0\u5eec\0\u5f28\0\u5f64\0\u5fa0\0\u5fdc\0\u6018\0\u6054\0\u6090"+
    "\0\u60cc\0\u6108\0\u6144\0\u6180\0\u61bc\0\u61f8\0\u6234\0\u6270"+
    "\0\u62ac\0\u62e8\0\u6324\0\u6360\0\u639c\0\u63d8\0\u6414\0\u6450"+
    "\0\u648c\0\u64c8\0\u6504\0\u6540\0\u657c\0\u65b8\0\u65f4\0\u6630"+
    "\0\u666c\0\u66a8\0\u66e4\0\u6720\0\u675c\0\u6798\0\u67d4\0\u6810"+
    "\0\u477c\0\u684c\0\u6888\0\u68c4\0\u6900\0\u693c\0\u6978\0\u69b4"+
    "\0\u69f0\0\u6a2c\0\u6a68\0\u6aa4\0\u6ae0\0\u6b1c\0\u6b58\0\u4290"+
    "\0\u6b94\0\u6bd0\0\u6c0c\0\u6c48\0\u6c84\0\u6cc0\0\u6cfc\0\u6d38"+
    "\0\u6d74\0\u6db0\0\u6dec\0\u6e28\0\u6e64\0\u6ea0\0\u6edc\0\u6f18"+
    "\0\u6f54\0\u6f90\0\u6fcc\0\u7008\0\u7044\0\u7080\0\u70bc\0\u70f8"+
    "\0\u7134\0\u7170\0\u71ac\0\u71e8\0\u7224\0\u7260\0\u729c\0\u72d8"+
    "\0\u7314\0\u7350\0\u738c\0\u73c8\0\u7404\0\u7440\0\u747c\0\u74b8"+
    "\0\u74f4\0\u7530\0\u756c\0\u75a8\0\u75e4\0\u7620\0\u765c\0\u7698"+
    "\0\u76d4\0\u7710\0\u774c\0\u7788\0\u77c4\0\u7800\0\u783c\0\u7878"+
    "\0\u78b4\0\u78f0\0\u792c\0\u7968\0\u79a4\0\u79e0\0\u7a1c\0\u7a58"+
    "\0\u7a94\0\u7ad0\0\u7b0c\0\u7b48\0\u7b84\0\u7bc0\0\u7bfc\0\u7c38"+
    "\0\u7c74\0\u7cb0\0\u7cec\0\u7d28\0\u7d64\0\u7da0\0\u7ddc\0\u7e18"+
    "\0\u7e54\0\u7e90\0\u7ecc\0\u7f08\0\u7f44\0\u7f80\0\u7fbc\0\u7ff8"+
    "\0\u8034\0\u8070\0\u80ac\0\u80e8\0\u8124\0\u8160\0\u819c\0\u81d8"+
    "\0\u8214\0\u8250\0\u828c\0\u82c8\0\u8304\0\u8340\0\u837c\0\u83b8"+
    "\0\u83f4\0\u8430\0\u846c\0\u84a8\0\u84e4\0\u8520\0\u855c\0\u8598"+
    "\0\u85d4\0\u8610\0\u864c\0\u8688\0\u86c4\0\u8700\0\u873c\0\u8778"+
    "\0\u87b4\0\u87f0\0\u882c\0\u8868\0\u88a4\0\u88e0\0\u891c\0\u8958"+
    "\0\u8994\0\u89d0\0\u8a0c\0\u8a48\0\u8a84\0\u8ac0\0\u8afc\0\u8b38"+
    "\0\u8b74\0\u8bb0\0\u8bec\0\u8c28\0\u8c64\0\u8ca0\0\u8cdc\0\u8d18"+
    "\0\u8d54\0\u8d90\0\u8dcc\0\u8e08\0\u8e44\0\u8e80\0\u8ebc\0\u8ef8"+
    "\0\u8f34\0\u8f70\0\u8fac\0\u8fe8\0\u9024\0\u9060\0\u909c\0\u90d8"+
    "\0\u9114\0\u9150\0\u0294\0\u918c\0\u91c8\0\u9204\0\u9240\0\u927c"+
    "\0\u92b8\0\u92f4\0\u9330\0\u936c\0\u93a8\0\u93e4\0\u9420\0\u945c"+
    "\0\u9498\0\u94d4\0\u9510\0\u954c\0\u9588\0\u95c4\0\u9600\0\u963c"+
    "\0\u9678\0\u96b4\0\u96f0\0\u972c\0\u9768\0\u97a4\0\u97e0\0\u981c"+
    "\0\u9858\0\u9894\0\u98d0\0\u990c\0\u0294\0\u9948\0\u9984\0\u99c0"+
    "\0\u99fc\0\u0294\0\u9a38\0\u9a74\0\u9ab0\0\u9aec\0\u9b28\0\u0294"+
    "\0\u9b64\0\u9ba0\0\u9bdc\0\u9c18\0\u9c54\0\u9c90\0\u9ccc\0\u9d08"+
    "\0\u9d44\0\u9d80\0\u9dbc\0\u9df8\0\u9e34\0\u9e70\0\u0294\0\u9eac"+
    "\0\u9ee8\0\u0294\0\u9f24\0\u9f60\0\u9f9c\0\u9fd8\0\u0294\0\ua014"+
    "\0\ua050\0\ua08c\0\ua0c8\0\ua104\0\ua140\0\ua17c\0\ua1b8\0\u0294"+
    "\0\ua1f4\0\ua230\0\ua26c\0\ua2a8\0\ua2e4\0\ua320\0\ua35c\0\ua398"+
    "\0\ua3d4\0\ua410\0\ua44c\0\ua488\0\u0294\0\ua4c4\0\ua500\0\ua53c"+
    "\0\ua578\0\ua5b4\0\ua5f0\0\ua62c";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[748];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\12\1\13\5\12\1\14\2\12\25\14\1\15\2\12"+
    "\25\14\3\12\41\16\1\17\32\16\3\20\1\21\5\20"+
    "\1\0\2\20\25\0\3\20\25\0\3\20\2\22\1\23"+
    "\6\22\1\0\2\22\25\0\3\22\25\0\3\22\3\24"+
    "\1\25\5\24\1\0\2\24\25\0\3\24\25\0\3\24"+
    "\2\26\1\27\6\26\1\0\2\26\25\0\3\26\25\0"+
    "\3\26\3\30\1\31\5\30\1\0\2\30\25\0\3\30"+
    "\25\0\3\30\3\32\1\33\5\32\1\0\2\32\25\0"+
    "\3\32\25\0\3\32\2\34\1\35\6\34\1\0\2\34"+
    "\25\0\3\34\25\0\3\34\16\0\1\36\3\0\1\37"+
    "\6\0\1\40\1\0\1\41\12\0\1\36\3\0\1\37"+
    "\6\0\1\40\1\0\1\41\6\0\1\41\3\0\1\42"+
    "\13\0\1\36\3\0\1\37\6\0\1\40\1\0\1\41"+
    "\12\0\1\36\3\0\1\37\6\0\1\40\1\0\1\41"+
    "\6\0\1\41\113\0\1\36\3\0\1\37\2\0\1\43"+
    "\3\0\1\40\1\0\1\41\12\0\1\36\3\0\1\37"+
    "\2\0\1\43\3\0\1\40\1\0\1\41\6\0\1\41"+
    "\11\0\1\44\114\0\1\45\27\0\1\45\14\0\1\20"+
    "\26\0\1\45\27\0\1\45\54\0\1\46\34\0\1\22"+
    "\36\0\1\46\62\0\1\47\27\0\1\47\14\0\1\24"+
    "\26\0\1\47\27\0\1\47\54\0\1\50\34\0\1\26"+
    "\36\0\1\50\53\0\1\51\27\0\1\51\23\0\1\30"+
    "\17\0\1\51\27\0\1\51\37\0\1\52\12\0\1\53"+
    "\14\0\1\52\12\0\1\53\14\0\1\32\13\0\1\52"+
    "\12\0\1\53\14\0\1\52\12\0\1\53\54\0\1\54"+
    "\34\0\1\34\36\0\1\54\61\0\1\55\27\0\1\55"+
    "\22\0\1\56\13\0\1\57\27\0\1\57\15\0\1\57"+
    "\34\0\1\60\27\0\1\60\34\0\1\61\27\0\1\61"+
    "\15\0\1\61\26\0\1\62\27\0\1\62\16\0\1\62"+
    "\25\0\1\63\27\0\1\63\50\0\1\64\27\0\1\64"+
    "\40\0\1\65\27\0\1\65\46\0\1\66\27\0\1\66"+
    "\40\0\1\67\27\0\1\67\23\0\1\70\13\0\1\71"+
    "\27\0\1\71\15\0\1\71\32\0\1\72\27\0\1\72"+
    "\45\0\1\73\27\0\1\73\40\0\1\74\27\0\1\74"+
    "\43\0\1\75\27\0\1\75\15\0\3\56\1\0\1\76"+
    "\1\77\7\0\1\100\12\0\1\101\1\102\6\0\1\103"+
    "\1\0\1\77\2\0\1\100\12\0\1\101\1\102\46\0"+
    "\1\104\27\0\1\104\26\0\1\105\27\0\1\105\52\0"+
    "\1\106\27\0\1\106\43\0\1\107\27\0\1\107\40\0"+
    "\1\110\27\0\1\110\16\0\1\110\20\0\1\111\27\0"+
    "\1\111\47\0\1\112\27\0\1\112\16\0\1\112\20\0"+
    "\1\113\27\0\1\113\47\0\1\114\27\0\1\114\16\0"+
    "\1\114\35\0\1\115\27\0\1\115\35\0\1\116\27\0"+
    "\1\116\34\0\1\117\27\0\1\117\47\0\1\120\27\0"+
    "\1\120\16\0\1\120\33\0\1\121\27\0\1\121\6\0"+
    "\1\121\30\0\1\122\27\0\1\122\15\0\3\77\1\0"+
    "\1\123\1\77\22\0\1\124\1\125\6\0\1\103\1\0"+
    "\1\77\15\0\1\124\1\125\41\0\1\126\27\0\1\126"+
    "\45\0\1\127\27\0\1\127\31\0\1\130\27\0\1\130"+
    "\50\0\1\131\27\0\1\131\45\0\1\132\27\0\1\132"+
    "\47\0\1\133\27\0\1\133\6\0\1\133\20\0\1\134"+
    "\27\0\1\134\36\0\1\135\110\0\1\136\27\0\1\136"+
    "\47\0\1\137\27\0\1\137\6\0\1\137\26\0\1\140"+
    "\27\0\1\140\51\0\1\141\27\0\1\141\6\0\1\141"+
    "\26\0\1\142\27\0\1\142\45\0\1\143\27\0\1\143"+
    "\47\0\1\144\27\0\1\144\6\0\1\144\34\0\1\145"+
    "\27\0\1\145\6\0\1\145\26\0\1\146\27\0\1\146"+
    "\25\0\1\147\13\0\1\150\27\0\1\150\15\0\1\150"+
    "\17\0\1\151\27\0\1\151\55\0\1\152\27\0\1\152"+
    "\46\0\1\153\27\0\1\153\31\0\1\154\27\0\1\154"+
    "\51\0\1\155\27\0\1\155\45\0\1\156\27\0\1\156"+
    "\35\0\1\157\27\0\1\157\45\0\1\160\27\0\1\160"+
    "\16\0\1\160\34\0\1\161\27\0\1\161\10\0\3\162"+
    "\1\0\1\163\2\162\6\0\1\36\3\0\1\164\1\165"+
    "\5\0\1\166\1\167\6\0\1\170\1\0\1\162\2\0"+
    "\1\36\3\0\1\164\1\165\5\0\1\166\1\167\6\0"+
    "\1\165\16\0\1\171\27\0\1\171\43\0\25\172\2\0"+
    "\1\172\31\0\3\173\1\0\1\174\2\173\12\0\1\51"+
    "\1\175\15\0\1\176\1\0\1\173\6\0\1\51\1\175"+
    "\15\0\1\175\12\0\1\177\72\0\1\70\13\0\1\200"+
    "\27\0\1\200\15\0\1\200\12\0\1\201\117\0\1\202"+
    "\27\0\1\202\16\0\1\70\13\0\1\203\27\0\1\203"+
    "\15\0\1\203\3\0\3\204\1\0\1\205\2\204\6\0"+
    "\1\52\4\0\1\206\15\0\1\207\1\0\1\204\2\0"+
    "\1\52\4\0\1\206\15\0\1\206\12\0\1\210\64\0"+
    "\3\147\1\0\1\211\1\212\7\0\1\213\12\0\1\214"+
    "\1\215\6\0\1\216\1\0\1\212\2\0\1\213\12\0"+
    "\1\214\1\215\33\0\1\217\27\0\1\217\54\0\1\220"+
    "\27\0\1\220\6\0\1\220\16\0\1\221\27\0\1\221"+
    "\56\0\1\222\27\0\1\222\35\0\1\223\27\0\1\223"+
    "\56\0\1\224\27\0\1\224\44\0\1\225\27\0\1\225"+
    "\5\0\3\226\1\227\3\226\1\230\1\226\1\0\2\226"+
    "\7\0\1\231\15\0\3\226\7\0\1\231\15\0\1\232"+
    "\2\226\27\0\1\233\27\0\1\233\30\0\1\56\27\0"+
    "\1\56\30\0\3\162\1\0\1\163\1\162\7\0\1\36"+
    "\3\0\1\164\6\0\1\166\1\167\6\0\1\170\1\0"+
    "\1\162\2\0\1\36\3\0\1\164\6\0\1\166\1\167"+
    "\40\0\1\234\27\0\1\234\23\0\1\235\13\0\1\236"+
    "\27\0\1\236\15\0\1\236\21\0\1\237\27\0\1\237"+
    "\56\0\1\240\27\0\1\240\31\0\1\241\27\0\1\241"+
    "\50\0\1\242\27\0\1\242\34\0\1\243\27\0\1\243"+
    "\37\0\1\244\1\0\25\172\2\0\1\172\31\0\3\173"+
    "\1\0\1\174\1\173\13\0\1\51\16\0\1\176\1\0"+
    "\1\173\6\0\1\51\50\0\1\245\27\0\1\245\33\0"+
    "\1\246\27\0\1\246\51\0\1\247\27\0\1\247\57\0"+
    "\1\250\51\0\1\251\27\0\1\251\65\0\1\252\46\0"+
    "\1\70\27\0\1\70\51\0\1\253\27\0\1\253\22\0"+
    "\3\204\1\0\1\205\1\204\7\0\1\52\22\0\1\207"+
    "\1\0\1\204\2\0\1\52\54\0\1\254\27\0\1\254"+
    "\33\0\1\255\27\0\1\255\51\0\1\256\27\0\1\256"+
    "\57\0\1\257\61\0\1\260\27\0\1\260\15\0\3\212"+
    "\1\0\1\261\1\212\7\0\1\262\12\0\1\263\1\264"+
    "\6\0\1\216\1\0\1\212\2\0\1\262\12\0\1\263"+
    "\1\264\41\0\1\265\27\0\1\265\45\0\1\266\27\0"+
    "\1\266\31\0\1\267\27\0\1\267\50\0\1\270\27\0"+
    "\1\270\43\0\1\271\27\0\1\271\47\0\1\272\27\0"+
    "\1\272\45\0\1\273\27\0\1\273\6\0\1\273\37\0"+
    "\1\274\27\0\1\274\30\0\1\275\27\0\1\275\15\0"+
    "\1\275\31\0\1\276\27\0\1\276\14\0\3\277\1\300"+
    "\3\277\1\301\1\277\1\0\2\277\7\0\1\302\15\0"+
    "\3\277\7\0\1\302\15\0\1\303\2\277\2\0\1\226"+
    "\71\0\3\226\1\227\5\226\1\0\2\226\25\0\3\226"+
    "\25\0\3\226\30\0\1\304\27\0\1\304\25\0\1\305"+
    "\76\0\1\306\27\0\1\306\27\0\3\235\1\0\1\307"+
    "\1\310\22\0\1\166\1\167\6\0\1\311\1\0\1\310"+
    "\15\0\1\166\1\167\46\0\1\312\27\0\1\312\26\0"+
    "\1\313\27\0\1\313\53\0\1\314\27\0\1\314\35\0"+
    "\1\315\27\0\1\315\45\0\1\316\27\0\1\316\16\0"+
    "\1\316\30\0\1\317\27\0\1\317\13\0\2\244\3\0"+
    "\5\244\1\320\26\244\2\0\31\244\15\0\1\321\27\0"+
    "\1\321\46\0\1\322\27\0\1\322\47\0\1\323\27\0"+
    "\1\323\16\0\1\323\41\324\1\0\32\324\20\0\1\325"+
    "\27\0\1\325\23\0\41\326\1\0\32\326\25\0\1\327"+
    "\27\0\1\327\33\0\1\330\27\0\1\330\46\0\1\331"+
    "\27\0\1\331\47\0\1\332\27\0\1\332\16\0\1\332"+
    "\41\333\1\0\32\333\15\0\1\334\27\0\1\334\55\0"+
    "\1\335\27\0\1\335\44\0\1\336\27\0\1\336\45\0"+
    "\1\337\27\0\1\337\31\0\1\340\27\0\1\340\51\0"+
    "\1\341\27\0\1\341\45\0\1\342\27\0\1\342\35\0"+
    "\1\343\27\0\1\343\45\0\1\344\27\0\1\344\16\0"+
    "\1\344\23\0\1\345\27\0\1\345\15\0\1\345\15\0"+
    "\1\56\111\0\1\346\27\0\1\346\35\0\1\347\27\0"+
    "\1\347\15\0\1\347\32\0\1\350\27\0\1\350\27\0"+
    "\1\351\27\0\1\351\31\0\1\277\71\0\3\277\1\300"+
    "\5\277\1\0\2\277\25\0\3\277\25\0\3\277\27\0"+
    "\1\352\27\0\1\352\43\0\1\353\27\0\1\353\32\0"+
    "\1\354\13\0\1\355\1\356\12\0\1\354\13\0\1\355"+
    "\1\356\6\0\1\356\34\0\1\357\27\0\1\357\6\0"+
    "\1\357\30\0\1\360\27\0\1\360\15\0\3\310\1\0"+
    "\1\361\1\310\22\0\1\362\1\363\6\0\1\311\1\0"+
    "\1\310\15\0\1\362\1\363\36\0\1\364\27\0\1\364"+
    "\45\0\1\365\27\0\1\365\43\0\1\366\27\0\1\366"+
    "\52\0\1\367\27\0\1\367\5\0\3\370\1\371\3\370"+
    "\1\372\1\370\1\0\2\370\7\0\1\373\15\0\3\370"+
    "\7\0\1\373\15\0\1\374\2\370\27\0\1\375\27\0"+
    "\1\375\14\0\3\376\1\377\5\376\1\0\2\376\25\0"+
    "\3\376\25\0\3\376\11\0\1\u0100\115\0\1\u0101\27\0"+
    "\1\u0101\6\0\1\u0101\30\0\1\u0102\27\0\1\u0102\43\0"+
    "\1\u0103\27\0\1\u0103\14\0\41\324\1\0\1\u0104\31\324"+
    "\27\0\1\u0105\27\0\1\u0105\14\0\41\326\1\0\1\u0106"+
    "\31\326\23\0\1\u0107\27\0\1\u0107\15\0\1\u0107\35\0"+
    "\1\u0108\27\0\1\u0108\6\0\1\u0108\30\0\1\u0109\27\0"+
    "\1\u0109\43\0\1\u010a\27\0\1\u010a\14\0\41\333\1\0"+
    "\1\u010b\31\333\33\0\1\u010c\27\0\1\u010c\6\0\1\u010c"+
    "\16\0\1\u010d\27\0\1\u010d\54\0\1\u010e\27\0\1\u010e"+
    "\45\0\1\u010f\27\0\1\u010f\35\0\1\u0110\27\0\1\u0110"+
    "\56\0\1\u0111\27\0\1\u0111\44\0\1\u0112\27\0\1\u0112"+
    "\5\0\3\u0113\1\u0114\3\u0113\1\u0115\1\u0113\1\0\2\u0113"+
    "\7\0\1\u0116\15\0\3\u0113\7\0\1\u0116\15\0\1\u0117"+
    "\2\u0113\27\0\1\u0118\27\0\1\u0118\44\0\1\147\27\0"+
    "\1\147\26\0\1\77\107\0\1\u0119\27\0\1\u0119\43\0"+
    "\1\u011a\27\0\1\u011a\41\0\1\u011b\27\0\1\u011b\16\0"+
    "\3\277\1\300\3\277\1\301\1\277\1\0\2\277\2\0"+
    "\1\u011c\22\0\3\277\2\0\1\u011c\22\0\3\277\3\226"+
    "\1\227\3\226\1\230\1\226\1\0\2\226\1\u011d\3\0"+
    "\1\u011e\20\0\3\226\1\u011d\3\0\1\u011e\20\0\3\226"+
    "\23\0\1\u011f\27\0\1\u011f\15\0\1\u011f\22\0\1\u0120"+
    "\27\0\1\u0120\57\0\1\u0121\27\0\1\u0121\40\0\1\u0122"+
    "\27\0\1\u0122\27\0\1\u0123\27\0\1\u0123\55\0\1\u0124"+
    "\27\0\1\u0124\46\0\1\u0125\27\0\1\u0125\31\0\1\u0126"+
    "\27\0\1\u0126\47\0\1\u0127\27\0\1\u0127\16\0\1\u0127"+
    "\34\0\1\u0128\27\0\1\u0128\43\0\1\u0129\27\0\1\u0129"+
    "\7\0\3\u012a\1\u012b\3\u012a\1\u012c\1\u012a\1\0\2\u012a"+
    "\7\0\1\u012d\15\0\3\u012a\7\0\1\u012d\15\0\1\u012e"+
    "\2\u012a\2\0\1\370\71\0\3\370\1\371\5\370\1\0"+
    "\2\370\25\0\3\370\25\0\3\370\30\0\1\u012f\27\0"+
    "\1\u012f\25\0\1\u0130\63\0\1\376\102\0\1\u0100\30\0"+
    "\1\u0131\62\0\1\u0132\27\0\1\u0132\46\0\1\u0133\27\0"+
    "\1\u0133\21\0\1\u0134\61\0\11\324\1\u0135\27\324\1\0"+
    "\1\u0104\31\324\34\0\1\u0136\27\0\1\u0136\7\0\11\326"+
    "\1\u0137\27\326\1\0\1\u0106\31\326\30\0\1\70\27\0"+
    "\1\70\44\0\1\u0138\27\0\1\u0138\46\0\1\u0139\27\0"+
    "\1\u0139\21\0\1\u013a\61\0\11\333\1\u013b\27\333\1\0"+
    "\1\u010b\31\333\31\0\1\u013c\27\0\1\u013c\45\0\1\u013d"+
    "\27\0\1\u013d\6\0\1\u013d\36\0\1\u013e\27\0\1\u013e"+
    "\44\0\1\u013f\27\0\1\u013f\30\0\1\u0140\27\0\1\u0140"+
    "\15\0\1\u0140\31\0\1\u0141\27\0\1\u0141\14\0\3\u0142"+
    "\1\u0143\3\u0142\1\u0144\1\u0142\1\0\2\u0142\7\0\1\u0145"+
    "\15\0\3\u0142\7\0\1\u0145\15\0\1\u0146\2\u0142\2\0"+
    "\1\u0113\71\0\3\u0113\1\u0114\5\u0113\1\0\2\u0113\25\0"+
    "\3\u0113\25\0\3\u0113\30\0\1\u0147\27\0\1\u0147\25\0"+
    "\1\u0148\77\0\1\u0149\27\0\1\u0149\45\0\1\u011e\27\0"+
    "\1\u011e\43\0\1\u014a\27\0\1\u014a\46\0\1\u014b\27\0"+
    "\1\u014b\15\0\1\u014b\27\0\1\u011a\27\0\1\u011a\52\0"+
    "\1\u014c\27\0\1\u014c\31\0\1\u014d\27\0\1\u014d\52\0"+
    "\1\u014e\27\0\1\u014e\25\0\1\162\113\0\1\u014f\27\0"+
    "\1\u014f\6\0\1\u014f\16\0\1\u0150\27\0\1\u0150\56\0"+
    "\1\u0151\27\0\1\u0151\35\0\1\u0152\27\0\1\u0152\50\0"+
    "\1\u0153\27\0\1\u0153\30\0\1\235\27\0\1\235\47\0"+
    "\1\162\27\0\1\162\25\0\1\u012a\71\0\3\u012a\1\u012b"+
    "\5\u012a\1\0\2\u012a\25\0\3\u012a\25\0\3\u012a\27\0"+
    "\1\u0154\27\0\1\u0154\43\0\1\u0155\27\0\1\u0155\32\0"+
    "\1\u0156\13\0\1\u0157\1\u0158\12\0\1\u0156\13\0\1\u0157"+
    "\1\u0158\6\0\1\u0158\14\0\1\173\100\0\1\173\27\0"+
    "\1\173\56\0\1\u0159\27\0\1\u0159\6\0\1\u0159\1\0"+
    "\11\324\1\u0135\1\u015a\26\324\1\0\1\u0104\31\324\20\0"+
    "\1\70\27\0\1\70\23\0\11\326\1\u0137\1\u015b\26\326"+
    "\1\0\1\u0106\31\326\13\0\1\204\100\0\1\204\27\0"+
    "\1\204\56\0\1\u015c\27\0\1\u015c\6\0\1\u015c\1\0"+
    "\11\333\1\u013b\1\u015d\26\333\1\0\1\u010b\31\333\13\0"+
    "\1\147\111\0\1\u015e\27\0\1\u015e\41\0\1\u015f\27\0"+
    "\1\u015f\37\0\1\u0160\27\0\1\u0160\15\0\1\u0160\32\0"+
    "\1\u0161\27\0\1\u0161\27\0\1\u0162\3\0\1\u0163\23\0"+
    "\1\u0162\3\0\1\u0163\25\0\1\u0142\71\0\3\u0142\1\u0143"+
    "\5\u0142\1\0\2\u0142\25\0\3\u0142\25\0\3\u0142\27\0"+
    "\1\u0164\27\0\1\u0164\43\0\1\u0165\27\0\1\u0165\32\0"+
    "\1\u0166\7\0\1\u0167\3\0\1\u0168\1\u0169\12\0\1\u0166"+
    "\7\0\1\u0167\3\0\1\u0168\1\u0169\6\0\1\u0169\24\0"+
    "\1\u016a\27\0\1\u016a\15\0\1\u016a\2\0\1\u016b\2\u016c"+
    "\1\u016d\1\u016b\1\u016e\1\u016c\2\u016b\1\0\2\u016b\25\0"+
    "\1\u016f\1\u016b\1\u016c\25\0\3\u016b\14\0\1\u0170\27\0"+
    "\1\u0170\67\0\1\u0171\27\0\1\u0171\26\0\1\u0172\27\0"+
    "\1\u0172\15\0\1\u0172\41\0\1\u0173\27\0\1\u0173\35\0"+
    "\1\u0174\27\0\1\u0174\45\0\1\u0175\27\0\1\u0175\6\0"+
    "\1\u0175\37\0\1\u0176\27\0\1\u0176\30\0\1\u0177\27\0"+
    "\1\u0177\15\0\1\u0177\14\0\1\u0178\61\0\3\u012a\1\u012b"+
    "\3\u012a\1\u012c\1\u012a\1\0\2\u012a\2\0\1\u0179\22\0"+
    "\3\u012a\2\0\1\u0179\22\0\3\u012a\3\370\1\371\3\370"+
    "\1\372\1\370\1\0\2\370\1\u017a\3\0\1\u017b\20\0"+
    "\3\370\1\u017a\3\0\1\u017b\20\0\3\370\23\0\1\u017c"+
    "\27\0\1\u017c\15\0\1\u017c\22\0\1\u017d\27\0\1\u017d"+
    "\57\0\1\u017e\27\0\1\u017e\43\0\1\u017f\27\0\1\u017f"+
    "\7\0\2\u015a\3\324\5\u015a\1\u0180\26\u015a\1\0\1\u0104"+
    "\31\u015a\2\u015b\3\326\5\u015b\1\u0181\26\u015b\1\0\1\u0106"+
    "\31\u015b\34\0\1\u0182\27\0\1\u0182\7\0\2\u015d\3\333"+
    "\5\u015d\1\u0183\26\u015d\1\0\1\u010b\31\u015d\13\0\1\212"+
    "\100\0\1\u0163\27\0\1\u0163\52\0\1\u0184\27\0\1\u0184"+
    "\43\0\1\u0185\27\0\1\u0185\41\0\1\u015f\27\0\1\u015f"+
    "\16\0\3\u0186\1\u0187\5\u0186\1\0\2\u0186\25\0\3\u0186"+
    "\25\0\3\u0186\3\u0142\1\u0143\3\u0142\1\u0144\1\u0142\1\0"+
    "\2\u0142\2\0\1\u0188\22\0\3\u0142\2\0\1\u0188\22\0"+
    "\3\u0142\3\u0113\1\u0114\3\u0113\1\u0115\1\u0113\1\0\2\u0113"+
    "\1\u0189\3\0\1\u018a\20\0\3\u0113\1\u0189\3\0\1\u018a"+
    "\20\0\3\u0113\23\0\1\u018b\27\0\1\u018b\15\0\1\u018b"+
    "\37\0\1\u018c\27\0\1\u018c\26\0\1\u018d\27\0\1\u018d"+
    "\57\0\1\u018e\27\0\1\u018e\23\0\1\u018f\27\0\1\u018f"+
    "\30\0\3\u0190\1\0\1\u0191\1\u0190\32\0\1\u0192\1\0"+
    "\1\u0190\31\0\1\u0190\1\u016c\1\u0190\1\0\1\u0191\1\u0190"+
    "\32\0\1\u0192\1\0\1\u0190\57\0\1\u0193\27\0\1\u0193"+
    "\41\0\1\u0194\27\0\1\u0194\16\0\3\277\1\300\5\277"+
    "\1\0\2\277\11\0\1\u0195\13\0\3\277\11\0\1\u0195"+
    "\13\0\3\277\12\0\1\u0196\111\0\1\u0197\27\0\1\u0197"+
    "\25\0\1\u0198\74\0\1\235\111\0\1\u0199\27\0\1\u0199"+
    "\35\0\1\u019a\27\0\1\u019a\15\0\1\u019a\32\0\1\u019b"+
    "\27\0\1\u019b\31\0\1\u019c\13\0\1\u019d\1\u019e\12\0"+
    "\1\u019c\13\0\1\u019d\1\u019e\6\0\1\u019e\24\0\1\u019f"+
    "\27\0\1\u019f\15\0\1\u019f\27\0\1\u01a0\27\0\1\u01a0"+
    "\52\0\1\u01a1\27\0\1\u01a1\31\0\1\u01a2\27\0\1\u01a2"+
    "\52\0\1\u01a3\27\0\1\u01a3\43\0\1\u01a4\27\0\1\u01a4"+
    "\12\0\27\324\1\u01a5\11\324\1\0\1\u0104\14\324\1\u01a5"+
    "\14\324\40\326\1\u01a6\1\0\1\u0106\25\326\1\u01a6\3\326"+
    "\31\0\1\u01a7\27\0\1\u01a7\12\0\40\333\1\u01a8\1\0"+
    "\1\u010b\25\333\1\u01a8\3\333\16\0\1\u01a9\27\0\1\u01a9"+
    "\45\0\1\u018a\27\0\1\u018a\25\0\1\u0186\114\0\1\u01aa"+
    "\27\0\1\u01aa\15\0\1\u01aa\27\0\1\u0185\27\0\1\u0185"+
    "\52\0\1\u01ab\27\0\1\u01ab\36\0\1\u01ac\27\0\1\u01ac"+
    "\36\0\1\u01ad\27\0\1\u01ad\52\0\1\u01ae\27\0\1\u01ae"+
    "\27\0\1\u01af\27\0\1\u01af\52\0\1\u01b0\27\0\1\u01b0"+
    "\16\0\1\u01b0\20\0\1\u018f\27\0\1\u018f\23\0\2\u0196"+
    "\3\0\5\u0196\1\u01b1\26\u0196\2\0\31\u0196\27\0\1\u01b2"+
    "\27\0\1\u01b2\14\0\2\u0198\3\0\5\u0198\1\u01b3\26\u0198"+
    "\2\0\31\u0198\13\0\1\310\107\0\1\u01b4\27\0\1\u01b4"+
    "\43\0\1\u01a0\27\0\1\u01a0\37\0\1\u01b5\27\0\1\u01b5"+
    "\15\0\1\u01b5\22\0\1\u01b6\27\0\1\u01b6\57\0\1\u01b7"+
    "\27\0\1\u01b7\23\0\1\u01b8\27\0\1\u01b8\47\0\1\u017b"+
    "\27\0\1\u017b\63\0\1\u01b9\27\0\1\u01b9\26\0\1\u01ba"+
    "\27\0\1\u01ba\15\0\1\u01ba\41\0\1\u01bb\27\0\1\u01bb"+
    "\43\0\1\u01bc\27\0\1\u01bc\4\0\30\324\1\u01bd\10\324"+
    "\1\0\1\u0104\15\324\1\u01bd\13\324\34\326\1\u01be\4\326"+
    "\1\0\1\u0106\21\326\1\u01be\7\326\37\0\1\u01bf\27\0"+
    "\1\u01bf\4\0\34\333\1\u01c0\4\333\1\0\1\u010b\21\333"+
    "\1\u01c0\7\333\23\0\1\u01c1\27\0\1\u01c1\15\0\1\u01c1"+
    "\16\0\1\u01c2\27\0\1\u01c2\67\0\1\u01c3\27\0\1\u01c3"+
    "\26\0\1\u01c4\27\0\1\u01c4\15\0\1\u01c4\25\0\1\u01c5"+
    "\27\0\1\u01c5\15\0\1\u01c5\41\0\1\u01c6\27\0\1\u01c6"+
    "\37\0\1\u01c7\27\0\1\u01c7\6\0\1\u01c7\30\0\1\u01c8"+
    "\27\0\1\u01c8\25\0\1\u01c9\74\0\1\u01ca\72\0\1\u01cb"+
    "\100\0\1\u01cc\27\0\1\u01cc\61\0\1\u01cd\27\0\1\u01cd"+
    "\31\0\1\u01ce\27\0\1\u01ce\52\0\1\u01cf\27\0\1\u01cf"+
    "\12\0\3\u012a\1\u012b\5\u012a\1\0\2\u012a\11\0\1\u01d0"+
    "\13\0\3\u012a\11\0\1\u01d0\13\0\3\u012a\12\0\1\u01d1"+
    "\111\0\1\u01d2\27\0\1\u01d2\25\0\1\u01d3\73\0\1\u01d4"+
    "\61\0\23\324\1\u01d5\15\324\1\0\1\u0104\10\324\1\u01d5"+
    "\15\324\1\u01d5\2\324\23\326\1\u01d6\15\326\1\0\1\u0106"+
    "\10\326\1\u01d6\15\326\1\u01d6\2\326\12\0\1\u01d7\61\0"+
    "\23\333\1\u01d8\15\333\1\0\1\u010b\10\333\1\u01d8\15\333"+
    "\1\u01d8\2\333\14\0\1\u01d9\27\0\1\u01d9\27\0\3\u0142"+
    "\1\u0143\5\u0142\1\0\2\u0142\11\0\1\u01da\13\0\3\u0142"+
    "\11\0\1\u01da\13\0\3\u0142\12\0\1\u01db\77\0\1\u01dc"+
    "\27\0\1\u01dc\55\0\1\u01dd\27\0\1\u01dd\25\0\1\u01de"+
    "\112\0\1\u01df\27\0\1\u01df\24\0\1\u01e0\72\0\1\u01c9"+
    "\30\0\1\u01e1\31\0\2\u01ca\3\0\5\u01ca\1\u01e2\26\u01ca"+
    "\2\0\31\u01ca\11\0\1\u01cb\30\0\1\u01e3\54\0\1\u01e4"+
    "\27\0\1\u01e4\15\0\1\u01e4\42\0\1\u01e5\27\0\1\u01e5"+
    "\26\0\1\u01e6\27\0\1\u01e6\15\0\1\u01e6\41\0\1\u01e7"+
    "\27\0\1\u01e7\24\0\1\u01e8\27\0\1\u01e8\23\0\2\u01d1"+
    "\3\0\5\u01d1\1\u01e9\26\u01d1\2\0\31\u01d1\27\0\1\u01ea"+
    "\27\0\1\u01ea\14\0\2\u01d3\3\0\5\u01d3\1\u01eb\26\u01d3"+
    "\2\0\31\u01d3\2\u01d4\3\0\5\u01d4\1\u01ec\26\u01d4\2\0"+
    "\31\u01d4\22\324\1\u01ed\16\324\1\0\1\u0104\7\324\1\u01ed"+
    "\21\324\16\326\1\u01ee\22\326\1\0\1\u0106\3\326\1\u01ee"+
    "\25\326\2\u01d7\3\0\5\u01d7\1\u01ef\26\u01d7\2\0\31\u01d7"+
    "\25\333\1\u01f0\13\333\1\0\1\u010b\12\333\1\u01f0\16\333"+
    "\20\0\1\u01d9\27\0\1\u01d9\23\0\2\u01db\3\0\5\u01db"+
    "\1\u01f1\26\u01db\2\0\31\u01db\23\0\1\u01f2\27\0\1\u01f2"+
    "\15\0\1\u01f2\31\0\1\u01f3\27\0\1\u01f3\14\0\2\u01de"+
    "\3\0\5\u01de\1\u01f4\26\u01de\2\0\31\u01de\13\0\1\u0190"+
    "\76\0\1\u01f5\7\0\1\u01f6\4\0\1\u01f7\12\0\1\u01f5"+
    "\7\0\1\u01f6\4\0\1\u01f7\6\0\1\u01f7\1\0\41\u01f8"+
    "\1\0\32\u01f8\11\0\1\u01f9\62\0\41\u01fa\1\0\32\u01fa"+
    "\14\0\1\u01e8\27\0\1\u01e8\41\0\1\u01fb\111\0\1\u01fc"+
    "\27\0\1\u01fc\25\0\1\u01fd\72\0\1\u01fe\74\0\1\u01ff"+
    "\72\0\1\u0200\73\0\1\u0201\62\0\20\324\1\u0202\20\324"+
    "\1\0\1\u0104\5\324\1\u0202\23\324\12\326\1\u0203\26\326"+
    "\1\0\1\u0106\31\326\11\0\1\u0204\62\0\14\333\1\u0205"+
    "\24\333\1\0\1\u010b\1\333\1\u0205\27\333\11\0\1\u0206"+
    "\113\0\1\u0207\27\0\1\u0207\24\0\1\u0208\72\0\1\u0209"+
    "\105\0\1\u020a\27\0\1\u020a\15\0\1\u020a\37\0\1\u020b"+
    "\27\0\1\u020b\42\0\1\u020c\27\0\1\u020c\7\0\41\u01f8"+
    "\1\u020d\32\u01f8\11\0\1\u01f9\30\0\1\u020e\31\0\41\u01fa"+
    "\1\u020f\32\u01fa\2\u01fb\3\0\5\u01fb\1\u0210\26\u01fb\2\0"+
    "\31\u01fb\27\0\1\u0211\27\0\1\u0211\14\0\2\u01fd\3\0"+
    "\5\u01fd\1\u0212\26\u01fd\2\0\31\u01fd\11\0\1\u01fe\30\0"+
    "\1\u0213\31\0\2\u01ff\3\0\5\u01ff\1\u0214\26\u01ff\2\0"+
    "\31\u01ff\11\0\1\u0200\30\0\1\u0215\42\0\1\u0201\30\0"+
    "\1\u0216\31\0\32\324\1\u0217\6\324\1\0\1\u0104\17\324"+
    "\1\u0217\11\324\27\326\1\u0218\11\326\1\0\1\u0106\14\326"+
    "\1\u0218\14\326\11\0\1\u0204\30\0\1\u0219\31\0\31\333"+
    "\1\u021a\7\333\1\0\1\u010b\16\333\1\u021a\12\333\11\0"+
    "\1\u0206\30\0\1\u021b\45\0\1\u021c\27\0\1\u021c\27\0"+
    "\2\u0208\3\0\5\u0208\1\u021d\26\u0208\2\0\31\u0208\11\0"+
    "\1\u0209\30\0\1\u021e\65\0\1\u021f\27\0\1\u021f\36\0"+
    "\1\u0220\27\0\1\u0220\45\0\1\u0221\27\0\1\u0221\22\0"+
    "\1\u0222\63\0\41\u0223\1\0\32\u0223\10\0\1\u0224\74\0"+
    "\1\u0225\74\0\1\u0226\72\0\1\u0227\62\0\41\u0228\1\0"+
    "\32\u0228\11\0\1\u0229\62\0\41\u022a\1\0\32\u022a\41\u022b"+
    "\1\0\32\u022b\12\324\1\u022c\26\324\1\0\1\u0104\31\324"+
    "\24\326\1\u022d\14\326\1\0\1\u0106\11\326\1\u022d\16\326"+
    "\1\u022d\41\u022e\1\0\32\u022e\23\333\1\u022f\15\333\1\0"+
    "\1\u010b\10\333\1\u022f\15\333\1\u022f\2\333\41\u0230\1\0"+
    "\32\u0230\25\0\1\u0231\27\0\1\u0231\27\0\1\u0232\62\0"+
    "\41\u0233\1\0\32\u0233\40\0\1\u0234\27\0\1\u0234\26\0"+
    "\1\u0235\27\0\1\u0235\15\0\1\u0235\41\0\1\u0236\27\0"+
    "\1\u0236\31\0\1\u0237\27\0\1\u0237\16\0\41\u0223\1\u0238"+
    "\32\u0223\25\0\1\u0239\27\0\1\u0239\27\0\1\u0225\30\0"+
    "\1\u023a\31\0\2\u0226\3\0\5\u0226\1\u023b\26\u0226\2\0"+
    "\31\u0226\11\0\1\u0227\30\0\1\u023c\31\0\41\u0228\1\u023d"+
    "\32\u0228\11\0\1\u0229\30\0\1\u023e\31\0\41\u022a\1\u023f"+
    "\32\u022a\41\u022b\1\u0240\32\u022b\27\324\1\u0241\11\324\1\0"+
    "\1\u0104\14\324\1\u0241\14\324\25\326\1\u0242\13\326\1\0"+
    "\1\u0106\12\326\1\u0242\16\326\41\u022e\1\u0243\32\u022e\16\333"+
    "\1\u0244\22\333\1\0\1\u010b\3\333\1\u0244\25\333\41\u0230"+
    "\1\u0245\32\u0230\23\0\1\u0246\27\0\1\u0246\15\0\1\u0246"+
    "\13\0\1\u0232\30\0\1\u0247\31\0\41\u0233\1\u0248\32\u0233"+
    "\12\0\1\u0249\77\0\1\u024a\27\0\1\u024a\37\0\1\u024b"+
    "\105\0\1\u024c\27\0\1\u024c\16\0\1\u024c\10\0\1\u024d"+
    "\107\0\1\u024e\27\0\1\u024e\16\0\1\u024e\41\u024f\1\0"+
    "\32\u024f\11\0\1\u0250\62\0\41\u0251\1\0\32\u0251\10\0"+
    "\1\u0252\63\0\41\u0253\1\0\32\u0253\10\0\1\u0254\73\0"+
    "\1\u0255\63\0\24\324\1\u0256\14\324\1\0\1\u0104\11\324"+
    "\1\u0256\16\324\1\u0256\41\326\1\u0257\1\u0106\31\326\10\0"+
    "\1\u0258\63\0\23\333\1\u0259\15\333\1\0\1\u010b\10\333"+
    "\1\u0259\15\333\1\u0259\2\333\10\0\1\u025a\117\0\1\u025b"+
    "\27\0\1\u025b\7\0\41\u025c\1\0\32\u025c\10\0\1\u025d"+
    "\63\0\2\u0249\3\0\5\u0249\1\u025e\26\u0249\2\0\31\u0249"+
    "\23\0\1\u025f\27\0\1\u025f\15\0\1\u025f\2\0\2\u024b"+
    "\3\0\5\u024b\1\u0260\26\u024b\2\0\31\u024b\27\0\1\u0261"+
    "\27\0\1\u0261\41\0\1\u0262\27\0\1\u0262\45\0\1\u0263"+
    "\27\0\1\u0263\14\0\41\u024f\1\u0264\32\u024f\11\0\1\u0250"+
    "\30\0\1\u0265\31\0\41\u0251\1\u0266\32\u0251\25\0\1\u0267"+
    "\27\0\1\u0267\16\0\41\u0253\1\u0268\32\u0253\25\0\1\u0269"+
    "\27\0\1\u0269\43\0\1\u026a\27\0\1\u026a\16\0\25\324"+
    "\1\u026b\13\324\1\0\1\u0104\12\324\1\u026b\16\324\1\0"+
    "\3\u0257\2\0\1\u0257\4\0\1\u026c\26\0\1\u026d\1\u0257"+
    "\55\0\1\u026e\27\0\1\u026e\16\0\27\333\1\u026f\11\333"+
    "\1\0\1\u010b\14\333\1\u026f\14\333\25\0\1\u0270\27\0"+
    "\1\u0270\56\0\1\u0271\27\0\1\u0271\3\0\41\u025c\1\u0272"+
    "\32\u025c\25\0\1\u0273\27\0\1\u0273\27\0\1\u0274\113\0"+
    "\1\u0275\27\0\1\u0275\23\0\1\u0276\124\0\1\u0277\55\0"+
    "\1\u0278\27\0\1\u0278\16\0\1\u0278\42\0\1\77\41\0"+
    "\1\u0279\63\0\41\u027a\1\0\32\u027a\10\0\1\u027b\107\0"+
    "\1\u027c\27\0\1\u027c\16\0\1\u027c\10\0\1\u027d\107\0"+
    "\1\u027e\27\0\1\u027e\16\0\1\u027e\24\0\1\u027f\27\0"+
    "\1\u027f\16\0\1\u027f\41\324\1\u0257\1\u0104\31\324\31\0"+
    "\1\u0280\27\0\1\u0280\41\0\1\u0281\27\0\1\u0281\40\0"+
    "\1\u0282\27\0\1\u0282\16\0\1\u0282\35\333\1\u0283\3\333"+
    "\1\0\1\u010b\22\333\1\u0283\6\333\24\0\1\u0284\27\0"+
    "\1\u0284\16\0\1\u0284\12\0\1\u0285\71\0\1\u0286\107\0"+
    "\1\u0287\27\0\1\u0287\16\0\1\u0287\11\0\1\u0274\30\0"+
    "\1\u0288\45\0\1\u0289\27\0\1\u0289\40\0\1\u0276\30\0"+
    "\1\u028a\31\0\3\u028b\1\u028c\5\u028b\1\0\2\u028b\25\0"+
    "\3\u028b\25\0\3\u028b\27\0\1\u028d\27\0\1\u028d\41\0"+
    "\1\u028e\27\0\1\u028e\16\0\41\u027a\1\u028f\32\u027a\25\0"+
    "\1\u0290\27\0\1\u0290\45\0\1\u0291\27\0\1\u0291\41\0"+
    "\1\u0292\27\0\1\u0292\45\0\1\u0293\27\0\1\u0293\43\0"+
    "\1\u0294\27\0\1\u0294\47\0\1\u0295\27\0\1\u0295\6\0"+
    "\1\u0295\25\0\1\u0296\27\0\1\u0296\16\0\1\u0296\27\0"+
    "\1\u0297\27\0\1\u0297\14\0\26\333\1\u0298\12\333\1\0"+
    "\1\u010b\13\333\1\u0298\15\333\27\0\1\u0299\27\0\1\u0299"+
    "\14\0\2\u0285\3\0\5\u0285\1\u029a\26\u0285\2\0\31\u0285"+
    "\25\0\1\u029b\27\0\1\u029b\45\0\1\u029c\27\0\1\u029c"+
    "\14\0\41\u029d\1\0\32\u029d\25\0\1\u01f5\27\0\1\u01f5"+
    "\16\0\41\u029e\1\0\32\u029e\2\0\1\u028b\133\0\1\u029f"+
    "\55\0\1\u02a0\27\0\1\u02a0\16\0\1\u02a0\10\0\1\u02a1"+
    "\107\0\1\u02a2\27\0\1\u02a2\16\0\1\u02a2\42\0\1\u02a3"+
    "\55\0\1\u02a4\27\0\1\u02a4\16\0\1\u02a4\42\0\1\162"+
    "\73\0\1\173\46\0\1\u02a5\27\0\1\u02a5\53\0\1\u02a6"+
    "\27\0\1\u02a6\60\0\1\204\31\0\12\333\1\u02a7\26\333"+
    "\1\0\1\u010b\31\333\42\0\1\u02a8\42\0\1\u02a9\106\0"+
    "\1\u02aa\27\0\1\u02aa\16\0\1\u02aa\42\0\1\212\31\0"+
    "\41\u029d\1\u02ab\32\u029d\41\u029e\1\u02ac\32\u029e\3\u02ad\1\u02ae"+
    "\5\u02ad\1\0\2\u02ad\25\0\3\u02ad\25\0\3\u02ad\27\0"+
    "\1\u02af\27\0\1\u02af\41\0\1\u02b0\27\0\1\u02b0\45\0"+
    "\1\u02b1\27\0\1\u02b1\14\0\3\u02b2\1\u02b3\5\u02b2\1\0"+
    "\2\u02b2\25\0\3\u02b2\25\0\3\u02b2\27\0\1\u02b4\27\0"+
    "\1\u02b4\43\0\1\u02b5\27\0\1\u02b5\24\0\1\u02b6\63\0"+
    "\27\333\1\u02b7\11\333\1\0\1\u010b\14\333\1\u02b7\14\333"+
    "\3\u02b8\1\u02b9\5\u02b8\1\0\2\u02b8\25\0\3\u02b8\25\0"+
    "\3\u02b8\11\0\1\u02a9\30\0\1\u02ba\60\0\1\u02bb\27\0"+
    "\1\u02bb\24\0\1\u02bc\73\0\1\u02bd\65\0\1\u02ad\133\0"+
    "\1\u02be\55\0\1\u02bf\27\0\1\u02bf\16\0\1\u02bf\42\0"+
    "\1\310\33\0\1\u02b2\133\0\1\u02c0\36\0\1\u0257\127\0"+
    "\1\u02c1\32\0\24\333\1\u02c2\14\333\1\0\1\u010b\11\333"+
    "\1\u02c2\16\333\1\u02c2\2\0\1\u02b8\71\0\41\u02c3\1\0"+
    "\32\u02c3\42\0\1\u02c4\56\0\1\u02c5\27\0\1\u02c5\43\0"+
    "\1\u02c6\27\0\1\u02c6\16\0\3\u02c7\1\u02c8\5\u02c7\1\0"+
    "\2\u02c7\25\0\3\u02c7\25\0\3\u02c7\27\0\1\u02c9\27\0"+
    "\1\u02c9\14\0\3\u02ca\1\u02cb\5\u02ca\1\0\2\u02ca\25\0"+
    "\3\u02ca\25\0\3\u02ca\41\u02cc\1\0\32\u02cc\25\333\1\u02cd"+
    "\13\333\1\0\1\u010b\12\333\1\u02cd\16\333\41\u02c3\1\u02ce"+
    "\32\u02c3\3\u02cf\1\u02d0\5\u02cf\1\0\2\u02cf\25\0\3\u02cf"+
    "\25\0\3\u02cf\24\0\1\u02d1\27\0\1\u02d1\16\0\1\u02d1"+
    "\24\0\1\u02d2\27\0\1\u02d2\16\0\1\u02d2\2\0\1\u02c7"+
    "\133\0\1\u02d3\33\0\1\u02ca\71\0\41\u02cc\1\0\1\u02d4"+
    "\31\u02cc\41\333\1\u0257\1\u010b\31\333\10\0\1\u02d5\65\0"+
    "\1\u02cf\120\0\1\u02d6\27\0\1\u02d6\43\0\1\u02d7\27\0"+
    "\1\u02d7\14\0\3\u02d8\1\u02d9\5\u02d8\1\0\2\u02d8\25\0"+
    "\3\u02d8\25\0\3\u02d8\11\u02cc\1\u02da\27\u02cc\1\0\1\u02d4"+
    "\31\u02cc\25\0\1\u02db\27\0\1\u02db\60\0\1\u02dc\73\0"+
    "\1\u0190\33\0\1\u02d8\71\0\11\u02cc\1\u02da\1\u02dd\26\u02cc"+
    "\1\0\1\u02d4\31\u02cc\24\0\1\u02de\27\0\1\u02de\16\0"+
    "\1\u02de\3\u016b\1\u02df\5\u016b\1\0\2\u016b\25\0\3\u016b"+
    "\25\0\3\u016b\2\u02dd\3\u02cc\5\u02dd\1\u02e0\26\u02dd\1\0"+
    "\1\u02d4\31\u02dd\27\0\1\u02e1\27\0\1\u02e1\16\0\1\u016b"+
    "\71\0\37\u02cc\1\u02e2\1\u02cc\1\0\1\u02d4\24\u02cc\1\u02e2"+
    "\4\u02cc\42\0\1\u02e3\31\0\31\u02cc\1\u02e4\7\u02cc\1\0"+
    "\1\u02d4\16\u02cc\1\u02e4\12\u02cc\3\u02e5\1\u02e6\5\u02e5\1\0"+
    "\2\u02e5\25\0\3\u02e5\25\0\3\u02e5\34\u02cc\1\u02e7\4\u02cc"+
    "\1\0\1\u02d4\21\u02cc\1\u02e7\7\u02cc\2\0\1\u02e5\71\0"+
    "\33\u02cc\1\u02e8\5\u02cc\1\0\1\u02d4\20\u02cc\1\u02e8\6\u02cc"+
    "\1\u02e8\13\u02cc\1\u02e9\26\u02cc\1\0\1\u02d4\60\u02cc\1\u02ea"+
    "\11\u02cc\1\0\1\u02d4\14\u02cc\1\u02ea\40\u02cc\1\u02eb\14\u02cc"+
    "\1\0\1\u02d4\11\u02cc\1\u02eb\16\u02cc\1\u02eb\25\u02cc\1\u02ec"+
    "\13\u02cc\1\0\1\u02d4\12\u02cc\1\u02ec\57\u02cc\1\u0257\1\u02d4"+
    "\31\u02cc";

  private static int [] zzUnpacktrans() {
    int [] result = new int[42600];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\11\0\2\1\1\11\1\1\1\11\1\1\50\0\1\11"+
    "\45\0\1\11\2\0\1\1\64\0\1\11\2\1\1\0"+
    "\1\1\44\0\1\11\2\1\1\0\1\1\64\0\1\11"+
    "\2\1\1\0\1\1\1\0\1\11\1\1\23\0\1\11"+
    "\2\1\1\0\1\1\22\0\1\11\2\1\1\0\1\1"+
    "\2\0\1\11\20\0\1\11\2\1\1\0\1\1\44\0"+
    "\1\11\4\1\26\0\1\11\1\1\317\0\1\1\63\0"+
    "\1\11\1\1\40\0\1\11\1\1\3\0\1\11\1\1"+
    "\4\0\1\11\1\1\15\0\1\11\1\1\1\0\1\11"+
    "\1\1\3\0\1\11\1\1\7\0\1\11\1\1\5\0"+
    "\1\1\5\0\1\11\1\1\6\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[748];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S048_RegionalLegislationAuthorities() { }
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S048_RegionalLegislationAuthorities(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 23: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 24: break;
          case 3:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 25: break;
          case 4:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_GIUNTA", true, true);
            }
          // fall through
          case 26: break;
          case 5:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_GIUNTA", true, true);
            }
          // fall through
          case 27: break;
          case 6:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_PRES", true, true);
            }
          // fall through
          case 28: break;
          case 7:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "SINDACO", true, true);
            }
          // fall through
          case 29: break;
          case 8:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_CONS", true, true);
            }
          // fall through
          case 30: break;
          case 9:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_PRES", true, true);
            }
          // fall through
          case 31: break;
          case 10:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 32: break;
          case 11:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_CONS", true, true);
            }
          // fall through
          case 33: break;
          case 12:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "COMUNE_GIUNTA", true, true);
            }
          // fall through
          case 34: break;
          case 13:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "COMUNE_CONS", true, true);
            }
          // fall through
          case 35: break;
          case 14:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 6;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_GIUNTA", true, false);
            }
          // fall through
          case 36: break;
          case 15:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 6;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 3;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_GIUNTA", true, false);
            }
          // fall through
          case 37: break;
          case 16:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 4;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_PRES", true, false);
            }
          // fall through
          case 38: break;
          case 17:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 7;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_CONS", true, false);
            }
          // fall through
          case 39: break;
          case 18:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 2;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PROVINCIA_PRES", true, false);
            }
          // fall through
          case 40: break;
          case 19:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 4;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 3;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_PRES", true, false);
            }
          // fall through
          case 41: break;
          case 20:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 7;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 3;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_CONS", true, false);
            }
          // fall through
          case 42: break;
          case 21:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 2;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 3;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "REGIONE_PRES", true, false);
            }
          // fall through
          case 43: break;
          case 22:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 7;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 8;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "COMUNE_CONS", true, false);
            }
          // fall through
          case 44: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S048_RegionalLegislationAuthorities [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S048_RegionalLegislationAuthorities scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S048_RegionalLegislationAuthorities(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
